Bug 106047 - Autofilter's search window is case-sensitive for Cyrillic characters regardless of filter's case-sensitivity setting
Summary: Autofilter's search window is case-sensitive for Cyrillic characters regardle...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All Windows (All)
: medium normal
Assignee: Vitaliy
URL:
Whiteboard: target:5.4.0 target:5.3.3
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-16 14:07 UTC by kompilainenn
Modified: 2017-05-18 20:30 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
test_file (13.74 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-02-16 14:09 UTC, kompilainenn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kompilainenn 2017-02-16 14:07:52 UTC
Description:
Autofilter's search window is case-sensitive for Cyrillic characters regardless of filter's case-sensitivity setting

Steps to Reproduce:
1. Open file from attach
2. Push on small triangle in first cell
3. In drop-down window in text field begin type "мазда"
4. In list of items dissapear all item and button OK is not active
5. Return to step 2
6. In drop-down window in text field begin type "МАЗДА"
7. In list of items will remain right resultat "МАЗДА" and button OK is active

For English text this functional works correctly

Actual Results:  
text filter in drop-down window is case-sensitive

Expected Results:
text filter in drop-down window isn't case-sensitive


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36
Comment 1 kompilainenn 2017-02-16 14:09:21 UTC
Created attachment 131277 [details]
test_file
Comment 2 Julien Nabet 2017-02-16 14:43:40 UTC
5.0 branch is EOL.
Could you give a try to last stable LO version 5.2.5?

Also, on which env are you? (Linux, MacOs, Windows?)
Comment 3 kompilainenn 2017-02-16 14:54:10 UTC
(In reply to Julien Nabet from comment #2)
> 5.0 branch is EOL.
> Could you give a try to last stable LO version 5.2.5?
> 
> Also, on which env are you? (Linux, MacOs, Windows?)

repro in LO 5.3.0.2 also, OS Windows 7
Comment 4 Julien Nabet 2017-02-16 15:19:19 UTC
Thank you for your feedback. Since I don't have more questions for the moment, let's put this one back to UNCONFIRMED.
Comment 5 Mike Kaganski 2017-02-16 16:22:25 UTC
Confirmed using Version: 5.3.0.3 (x64)
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
Locale: ru-RU (ru_RU); Calc: CL

I suppose it may be confirmad just copying and pasting text from OP's description.
Comment 6 Julien Nabet 2017-03-09 12:44:56 UTC
Vitaliy: let's put this one to ASSIGNED status since you assigned yourself to fix this.
Comment 7 Commit Notification 2017-03-10 09:28:27 UTC
Vitaliy Anderson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0240bf12a94e71d1e2ebe3922afc1a3de5cd933

tdf#106047 Fix case-insensitive search in autofilter

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Julien Nabet 2017-03-10 10:02:24 UTC
Noticing tdf#99589 (put in see also) does this mean "toAsciiLowerCase" should be removed and replaced by ScGlobal::pCharClass->lowercase by ScGlobal::pCharClass->lowercase each time (the same for uppercase) ?
Comment 9 Stephan Bergmann 2017-03-10 10:27:00 UTC
(In reply to Julien Nabet from comment #8)
> Noticing tdf#99589 (put in see also) does this mean "toAsciiLowerCase"
> should be removed and replaced by ScGlobal::pCharClass->lowercase by
> ScGlobal::pCharClass->lowercase each time (the same for uppercase) ?

That depends on the context.  There are use-cases for both.
Comment 10 Xisco Faulí 2017-03-22 10:08:38 UTC
Verified in

Versión: 5.3.1.1
Id. de compilación: 72fee18f394a980128dc111963f2eefb05998eeb
Subpr. de CPU: 1; SO: Windows 6.1; Repr. de IU: predet.; Motor de trazado: HarfBuzz; 
Configuración regional: es-ES (es_ES); Calc: group
Comment 11 kompilainenn 2017-03-22 19:38:51 UTC
(In reply to Xisco Faulí from comment #10)
> Verified in
> 
> Versión: 5.3.1.1
> Id. de compilación: 72fee18f394a980128dc111963f2eefb05998eeb
> Subpr. de CPU: 1; SO: Windows 6.1; Repr. de IU: predet.; Motor de trazado:
> HarfBuzz; 
> Configuración regional: es-ES (es_ES); Calc: group

fix there is only for 5.4. Why verified you this fix on version 5.3.1.1? O_o

Vitaliy: will backport your fix to 5.3?
Comment 12 Xisco Faulí 2017-03-22 19:48:18 UTC
(In reply to kompilainenn from comment #11)
> (In reply to Xisco Faulí from comment #10)
> > Verified in
> > 
> > Versión: 5.3.1.1
> > Id. de compilación: 72fee18f394a980128dc111963f2eefb05998eeb
> > Subpr. de CPU: 1; SO: Windows 6.1; Repr. de IU: predet.; Motor de trazado:
> > HarfBuzz; 
> > Configuración regional: es-ES (es_ES); Calc: group
> 
> fix there is only for 5.4. Why verified you this fix on version 5.3.1.1? O_o
> 
> Vitaliy: will backport your fix to 5.3?

Sorry, I copied the incorrect text. I wanted to copy:

Version: 5.4.0.0.alpha0+
Build ID: 2356bfdb1b99a93fcb35fefc0f587158e7d160c2
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-03-20_00:30:32
Locale: es-ES (es_ES); Calc: group
Comment 13 Julien Nabet 2017-03-22 20:24:50 UTC
I cherry-picked the patch for 5.3 branch, it's on review here:
https://gerrit.libreoffice.org/#/c/35544/
Comment 14 Commit Notification 2017-03-23 09:12:08 UTC
Vitaliy Anderson committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7dc991097833b0dc60941b388ac60c909529e239&h=libreoffice-5-3

tdf#106047 Fix case-insensitive search in autofilter

It will be available in 5.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.